<?php
class Mailer
{
	public function send($type, $to, $data = null)
	{
		$sett = new Settings();
		
		switch ($type) {
			case 'activation':
				$subject	= 'iso_dip // registrace zákazníka';
				
				
				$bodyHTML  	= 'Dobrý den,<br /><br />'
					   	   	. 'děkujeme za Vaši registraci na stránkách xroad.cz, doufáme, že budete s našimi službami spokojeni.<br /><br />'
					   	   	. 'Vaše přihlašovací údaje:<br />'
					   	   	. "Jméno: {$data['login']}<br />"
					   	   	. "Heslo: {$data['password']}<br /><br />"
					   	   	. "Váš účet není aktivován.<br />"
					   	   	. "Pro aktivaci Vašeho účtu prosím navštivte následující odkaz:<br />"
					   		. '<a href="http://www.xroad.cz/aktivace/ucet/id/' . $data['id_activation'] . '/code/' . $data['code'] . '">'
					   		. 'http://www.xroad.cz/aktivace/index/id/' . $data['id_activation'] . '/code/' . $data['code'] . '</a><br /><br />'
					   		. 'Veškerá další nastavení (fakturační adresa, heslo,...) si můžete změnit po přihlášení přímo na webu xroad.cz v sekci <a href="http://www.xroad.cz/muj-ucet">"můj účet"</a><br /><br />'
					   		. 'Přejeme příjemný nákup.<br /><br />'
					   		. 'xroad.cz';
				break;
				
			case 'registration':
				$subject	= 'iso_dip // registrace zákazníka';
				
				
				$bodyHTML  	= 'Dobrý den,<br /><br />'
					   	   	. 'děkujeme za Vaši registraci.<br /><br />'
					   	   	. 'Vaše přihlašovací údaje:<br />'
					   	   	. "Jméno: {$data['login']}<br />"
					   	   	. "Heslo: {$data['password']}<br /><br />"
					   	   	. "Váš účet není aktivován.<br />"
					   	   	. "Po aktivaci Vašeho účtu administrátorem Vám bude zasláno oznámení a budete se moci přihlásit.<br />"
					   		. 'S pozdravem,<br /><br />'
					   		. 'tým iso_dip';
				break;
				
			case 'registrationByAdmin':
				$subject	= 'iso_dip // registrace zákazníka';
				
				
				$bodyHTML  	= 'Dobrý den,<br /><br />'
					   	   	. 'byl jste zaregistrován administrátorem do systému iso_dip.<br /><br />'
					   	   	. 'Vaše přihlašovací údaje:<br />'
					   	   	. "Jméno: {$data['login']}<br />"
					   	   	. "Heslo: {$data['password']}<br /><br />"
					   	   	. "Váš účet je aktivován.<br />"
					   	   	. "Přihlásit se můžete na této adrese:<br />"
					   	   	. '<a href="http://' . $_SERVER['SERVER_NAME'] . Zend_Registry::get('baseUrl') . '">http://' . $_SERVER['SERVER_NAME'] . Zend_Registry::get('baseUrl') . '</a><br /><br />'
					   		. 'S pozdravem,<br /><br />'
					   		. 'tým iso_dip';
				break;

			case 'lost-password':
				$subject	= 'iso-dip // zapomenuté heslo';		
				$bodyHTML  	= 'Dobrý den,<br /><br />'
					   	   	. 'na Vaši žádost bylo vygenerován kód pro změnu hesla k Vašemu účtu na projektu iso_dip<br /><br />'
					   	   	. 'Změnit heslo k Vašemu účtu můžete po kliknutí na tento odkaz:<br /><br />'
					   	   	. '<a href="http://' . $_SERVER['SERVER_NAME'] . Zend_Registry::get('baseUrl') . '/lost-password/change/id/' . $data['id_user'] .'/code/' . $data['code'] . '">http://' . $_SERVER['SERVER_NAME'] . Zend_Registry::get('baseUrl') . '/lost-password/change/id/' . $data['id_user'] .'/code/' . $data['code'] . '</a><br />' 
					   		. 'S pozdravem,<br /><br />'
					   		. 'tým iso_dip';
				break;
		
			default:
				break;
		}
		
		$mail = new Zend_Mail('utf8');
		
		$bodyText = str_replace('<br />', '\n', $bodyHTML);
		$f = new Zend_Filter_StripTags();
		$bodyText = $f->filter($bodyText);
		
		$mail->setBodyText($bodyText);
		$mail->setBodyHtml($bodyHTML);
		$mail->setFrom($sett->getValue('system_mail'), 'xroad.cz');
		$mail->addTo($to);
		$mail->setSubject($subject);
		return $mail->send();
	}
}
?>